var totalcard_component = Vue.extend({
  template: '#totalcard-vue-template',
  props: {
    label: {
      type: String,
      required: false,
      default: ""
    },
    value: {
      type: [String, Number],
      required: false,
      default: 0
    },
    animated: {
      type: Boolean,
      required: false,
      default: true
    },
    currency_id: {
      type: [Number, String],
      required: false,
      default: 0
    },
    speed: {
      type: Number,
      required: false,
      default: 300
    }
  },
  data: function () {
    return {
      tweeningValue: 0
    }
  },
  // computed: {
  //   animatedNumber: function() {
  //     return this.tweeningValue.toFixed(0);
  //   }
  // },
  watch: {
    value: function (newValue, oldValue) {
      this.tween(oldValue, newValue)
    },
    currency_id: function (newValue, oldValue) {
      this.tweeningValue = this.$root.$options.filters.currency(this.value, newValue)
    }
  },
  mounted: function () {
    this.tween(0, this.value)
  },
  methods: {
    tween: function (startValue, endValue) {
      if(this.animated){
        var that = this;
        function animate () {
          if (TWEEN.update()) {
            requestAnimationFrame(animate)
          }
        }

        new TWEEN.Tween({ tweeningValue: startValue })
          .easing(TWEEN.Easing.Quadratic.Out)
          .to({ tweeningValue: endValue }, that.speed)
          .onUpdate(function (object) {
            if(that.currency_id) that.tweeningValue = that.$root.$options.filters.currency(object.tweeningValue, that.currency_id)
            else that.tweeningValue = object.tweeningValue.toFixed(0)
          })
          .start()

        animate()
      }
      else{ //not animated
        if(this.currency_id) this.tweeningValue = endValue
        else this.tweeningValue = endValue

      }
    }
  }
});
Vue.component('total-card', totalcard_component);
